plugin.tx_browser_pi1 {
  displayList {
    master_templates {
        // 140703: empty statement: for proper comments only
      tableFields {
      }
        // image
      tableFields =
      tableFields {
          // 140707: empty statement: for proper comments only
        image {
        }
          // 2
        image =
        image {
            // Case FAL: default/enabled, disabled. Here: {$plugin.tx_browser_pi1.templates.listview.image.2.FAL} (internal #t0774)
          2 = CASE
          2 {
            key {
              field = {$plugin.tx_browser_pi1.templates.listview.image.2.FAL}
            }
              // default/record (single view), notype, page, url. Here from: {$plugin.tx_browser_pi1.templates.listview.url.2.key}
            default = CASE
            default {
              key {
                field = {$plugin.tx_browser_pi1.templates.listview.url.2.key}
              }
                // default/record: link to the single view. begin, layout, layoutKey, maxItems, renderObj, references, sourceCollection
              default = FILES
              default {
                  // uid of {$plugin.tx_browser_pi1.templates.singleview.image.2.table}.{$plugin.tx_browser_pi1.templates.singleview.image.2.field}
                references = 
                references {
                  table     = {$plugin.tx_browser_pi1.templates.listview.image.2.table}
                  uid.field = {$plugin.tx_browser_pi1.templates.listview.image.2.table}.uid
                  fieldName = {$plugin.tx_browser_pi1.templates.listview.image.2.field}
                }
                begin = {$plugin.tx_browser_pi1.templates.listview.image.2.listNum}
                maxItems = {$plugin.tx_browser_pi1.templates.listview.image.2.maxItems}
                  // altText, file, imageLinkWrap, layout, layoutKey, sourceCollection, titleText
                renderObj = IMAGE
                renderObj {
                    // file:current:uid: height, import, treatIdAsReference, width
                  file =
                  file {
                    treatIdAsReference = 1
                      // file:current:uid
                    import =
                    import {
                      data = file:current:uid
                    }
                    height = {$plugin.tx_browser_pi1.templates.listview.image.2.heightDefault}
										height {
											override {
												field = {$plugin.tx_browser_pi1.templates.listview.image.2.height}
											}
										}
                    width = {$plugin.tx_browser_pi1.templates.listview.image.2.widthDefault}
										width {
											override {
												field = {$plugin.tx_browser_pi1.templates.listview.image.2.width}
											}
										}
                  }
                    // file:current:alternative
                  altText = TEXT
                  altText {
                    data = file:current:alternative
                    stdWrap {
                      stripHtml = 1
                      htmlSpecialChars = 1
                    }
                  }
                    // file:current:title
                  titleText = TEXT
                  titleText {
                    data = file:current:title
                    stdWrap {
                      stripHtml = 1
                      htmlSpecialChars = 1
                    }
                  }
                    // enabled by default
                  imageLinkWrap = 1
                  imageLinkWrap {
                    enable = 1
                      // additionalParam, forceAbsoluteUrl, parameter, returnLast, useCasheHash
                    typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.default
                  }
                  layoutKey = {$plugin.tx_browser_pi1.templates.listview.image.2.layoutKey}
                    // data, default, picture, srcset
                  layout =
                  layout {
                    data {
                      element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###SOURCECOLLECTION### ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
                      source.noTrimWrap = | data-###DATAKEY###="###SRC###"|
                    }
                    default {
                     element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###BORDER### ###SELFCLOSINGTAGSLASH###>
                     source =
                    }
                    picture {
                      element = <picture>###SOURCECOLLECTION###<img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###></picture>
                      source = <source src="###SRC###" media="###MEDIAQUERY###" ###SELFCLOSINGTAGSLASH###>
                    }
                    srcset {
                      element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" srcset="###SOURCECOLLECTION###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
                      source = |*|###SRC### ###SRCSETCANDIDATE###,|*|###SRC### ###SRCSETCANDIDATE###
                    }
                  }
                    // small, smallHires, smallRetina
                  sourceCollection =
                  sourceCollection {
                    small {
                      width = 200
                      srcsetCandidate = 800w
                      mediaQuery = (min-device-width: 800px)
                      dataKey = small
                    }
                    smallHires {
                      if.directReturn = 1
                      width = 300
                      pixelDensity = 2
                      srcsetCandidate = 800w 2x
                      mediaQuery = (min-device-width: 800px) AND (foobar)
                      dataKey = smallHires
                      pictureFoo = bar
                    }
                    smallRetina {
                      if.directReturn = 1
                      width = 200
                      pixelDensity = 2
                      srcsetCandidate = 600w 2x
                      mediaQuery = (max-device-width: 600px) AND (min-resolution: 192dpi)
                      dataKey = smallRetina
                    }
                  }
                  //wrap = <div class="slide">|</div>
                }
                //stdWrap.wrap = <div class="carousel">|</div>
              }
                // notype: without any link (record is available only in list views)
              notype < .default
              notype {
                renderObj.imageLinkWrap >
              }
                // page: link to an internal page
              page < .default
              page {
                renderObj.imageLinkWrap {
                  typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.page
                }
              }
                // url: link to an external website
              url < .page
              url {
                renderObj.imageLinkWrap {
                  typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.url
                }
              }
                // 1: Link to an internal page of tt_news 
              1 < .page
                // 2: Link to an external url of tt_news
              2 < .url
            }
              // Case type: default/record (single view), notype, page, url. Here from: {$plugin.tx_browser_pi1.templates.listview.url.2.key}
            disabled = CASE
            disabled {
              key {
                field = {$plugin.tx_browser_pi1.templates.listview.url.2.key}
              }
                // altText, file, imageLinkWrap, layout, layoutKey, sourceCollection, titleText
              default = IMAGE
              default {
                file {
                    // current image || default image
                  import =
                  import {
                    stdWrap {
                        // 10: current image || 20: default image
                      cObject = COA
                      cObject {
                          // current image
                        10 = COA
                        10 {
                          if {
                            isTrue {
                              field = {$plugin.tx_browser_pi1.templates.listview.image.2.file}
                              listNum = {$plugin.tx_browser_pi1.templates.listview.image.2.listNum}
                            }
                          }
                          10 = TEXT
                          10 {
                            value = {$plugin.tx_browser_pi1.templates.listview.image.2.path}
                          }
                          20 = TEXT
                          20 {
                            field   = {$plugin.tx_browser_pi1.templates.listview.image.2.file}
                            listNum = {$plugin.tx_browser_pi1.templates.listview.image.2.listNum}
                          }
                        }
                          // default image
                        20 = TEXT
                        20 {
                          if {
                            isFalse {
                              field = {$plugin.tx_browser_pi1.templates.listview.image.2.file}
                              listNum = {$plugin.tx_browser_pi1.templates.listview.image.2.listNum}
                            }
                          }
                          value = {$plugin.tx_browser_pi1.templates.listview.image.2.default}
                        }
                      }
                    }
                  }
                  height = {$plugin.tx_browser_pi1.templates.listview.image.2.height}
                  width = {$plugin.tx_browser_pi1.templates.listview.image.2.width}
                }
                altText = TEXT
                altText {
                  field = {$plugin.tx_browser_pi1.templates.listview.image.2.seo}
                  stdWrap {
                    stripHtml = 1
                    htmlSpecialChars = 1
                  }
                  listNum = {$plugin.tx_browser_pi1.templates.listview.image.2.listNum}
                  listNum {
                    splitChar = 10
                  }
                }
                titleText < .altText
                imageLinkWrap = 1
                imageLinkWrap {
                  enable = 1
                  typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.default
                }
                layoutKey = {$plugin.tx_browser_pi1.templates.listview.image.2.layoutKey}
                layout {
                  data {
                    element = <img src="###SRC###" ###SOURCECOLLECTION### ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
                    source.noTrimWrap = | data-###DATAKEY###="###SRC###"|
                  }
                  default {
                   element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###BORDER### ###SELFCLOSINGTAGSLASH###>
                   source =
                  }
                  picture {
                    element = <picture>###SOURCECOLLECTION###<img src="###SRC###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###></picture>
                    source = <source src="###SRC###" media="###MEDIAQUERY###" ###SELFCLOSINGTAGSLASH###>
                  }
                  srcset {
                    element = <img src="###SRC###" srcset="###SOURCECOLLECTION###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
                    source = |*|###SRC### ###SRCSETCANDIDATE###,|*|###SRC### ###SRCSETCANDIDATE###
                  }
                }
                sourceCollection {
                  small {
                    width = 200
                    srcsetCandidate = 800w
                    mediaQuery = (min-device-width: 800px)
                    dataKey = small
                  }
                  smallHires {
                    if.directReturn = 1
                    width = 300
                    pixelDensity = 2
                    srcsetCandidate = 800w 2x
                    mediaQuery = (min-device-width: 800px) AND (foobar)
                    dataKey = smallHires
                    pictureFoo = bar
                  }
                }
              }
                // notype: without any link (record is available only in list views)
              notype < .default
              notype {
                renderObj.imageLinkWrap >
              }
                // page: link to an internal page
              page < .default
              page {
                renderObj.imageLinkWrap {
                  typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.page
                }
              }
                // url: link to an external website
              url < .page
              url {
                renderObj.imageLinkWrap {
                  typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.url
                }
              }
                // 1: Link to an internal page of tt_news 
              1 < .page
                // 2: Link to an external url of tt_news
              2 < .url
            }
          }
        }
      }
    }
  }
}